> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nscale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List platform releases

> List platform releases.



## OpenAPI

````yaml /openapi/nks-openapi.yaml get /api/v1/platformreleases
openapi: 3.0.3
info:
  title: NKS API
  description: |-
    The NKS API provides Kubernetes clusters, node pools, and
    platform release catalog entries.
  version: 0.1.0
servers:
  - url: https://nks.nks.europe-west4.nscale.com
    description: Production
security: []
paths:
  /api/v1/platformreleases:
    description: Lists NKS platform releases.
    get:
      tags:
        - Platform Releases
      summary: List platform releases
      description: List platform releases.
      operationId: listPlatformReleases
      parameters:
        - $ref: '#/components/parameters/organizationIDQueryParameter'
        - $ref: '#/components/parameters/regionIDQueryParameter'
        - $ref: '#/components/parameters/platformReleaseArchitectureQueryParameter'
        - $ref: '#/components/parameters/prereleaseQueryParameter'
        - $ref: '#/components/parameters/deprecatedQueryParameter'
        - $ref: '#/components/parameters/withdrawnQueryParameter'
      responses:
        '200':
          $ref: '#/components/responses/platformReleasesV1Response'
        '400':
          $ref: '#/components/responses/badRequestResponse'
        '401':
          $ref: '#/components/responses/unauthorizedResponse'
        '403':
          $ref: '#/components/responses/forbiddenResponse'
        '500':
          $ref: '#/components/responses/internalServerErrorResponse'
      security:
        - oauth2Authentication: []
components:
  parameters:
    organizationIDQueryParameter:
      name: organizationID
      in: query
      description: Allows resources to be filtered by organization.
      schema:
        type: array
        items:
          type: string
    regionIDQueryParameter:
      name: regionID
      in: query
      description: >-
        Allows resources to be filtered by region. For platform releases,
        matches releases available in any supplied region.
      schema:
        type: array
        items:
          type: string
    platformReleaseArchitectureQueryParameter:
      name: architecture
      in: query
      description: >-
        Allows platform releases to be filtered by supported architecture. When
        combined with regionID, matches only a release that has actually
        resolved a compute image for the requested architecture in one of the
        requested regions, not merely one that declares the architecture and is
        available in the region for a different architecture.
      schema:
        type: array
        items:
          $ref: '#/components/schemas/platformReleaseArchitectureV1'
    prereleaseQueryParameter:
      name: prerelease
      in: query
      description: Allows platform releases to be filtered by prerelease state.
      schema:
        type: boolean
    deprecatedQueryParameter:
      name: deprecated
      in: query
      description: Allows platform releases to be filtered by deprecation state.
      schema:
        type: boolean
    withdrawnQueryParameter:
      name: withdrawn
      in: query
      description: Allows platform releases to be filtered by withdrawn state.
      schema:
        type: boolean
  responses:
    platformReleasesV1Response:
      description: A list of platform releases.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/platformReleasesV1Read'
          example:
            - metadata:
                id: nks-1-32-3
                name: NKS 1.32.3
                creationTime: '2026-05-14T10:00:00.000Z'
              status:
                kubernetesVersion: v1.32.3
                availableRegionIds:
                  - uk-lon-1
                deprecated: false
                withdrawn: false
                addons:
                  core:
                    components:
                      - name: cilium
                        version: 1.16.6
                      - name: metrics-server
                        version: 0.7.2
                  hardware:
                    components:
                      - name: nvidia-gpu-operator
                        version: 24.9.2
    badRequestResponse:
      description: |-
        Request body failed schema validation, or the request does not contain
        all the required fields.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: invalid_request
            error_description: request body invalid
            trace_id: 57bc14d9bd461f0b5a72db830149b67a
    unauthorizedResponse:
      description: Authentication failed or the access token has expired.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: access_denied
            error_description: authentication failed
            trace_id: 57bc14d9bd461f0b5a72db830149b67a
    forbiddenResponse:
      description: >-
        Request was denied by authorization, this may be caused by the
        authorization

        token not having the required scope for an API, or the user doesn't have
        the

        necessary privileges on the provider platform.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: forbidden
            error_description: user credentials do not have the required privileges
            trace_id: 57bc14d9bd461f0b5a72db830149b67a
    internalServerErrorResponse:
      description: >-
        An unexpected or unhandled error occurred. This may be a transient error
        and

        may succeed on a retry.  If this isn't the case, please report it as an
        issue.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: server_error
            error_description: failed to token claim
            trace_id: 57bc14d9bd461f0b5a72db830149b67a
  schemas:
    platformReleaseArchitectureV1:
      description: CPU architecture supported by a platform release.
      type: string
      enum:
        - x86_64
        - aarch64
    platformReleasesV1Read:
      description: A list of platform releases.
      type: array
      items:
        $ref: '#/components/schemas/platformReleaseV1Read'
    error:
      description: Generic error message, compatible with oauth2.
      type: object
      required:
        - error
        - error_description
      properties:
        error:
          description: >-
            A terse error string expanding on the HTTP error code. Errors are
            based on the OAuth 2.02 specification, but are expanded with
            proprietary status codes for APIs other than those specified by
            OAuth 2.02.
          type: string
          enum:
            - invalid_request
            - server_error
            - access_denied
            - not_found
            - conflict
            - method_not_allowed
            - unsupported_media_type
            - request_entity_too_large
            - unprocessable_content
            - forbidden
        error_description:
          description: Verbose message describing the error.
          type: string
        trace_id:
          description: Unique trace identifier for the request.
          type: string
    platformReleaseV1Read:
      description: An NKS platform release.
      type: object
      required:
        - metadata
        - status
      properties:
        metadata:
          $ref: '#/components/schemas/staticResourceMetadata'
        status:
          $ref: '#/components/schemas/platformReleaseStatusV1'
    staticResourceMetadata:
      description: |
        This metadata is for resources that just exist, and don't require
        any provisioning and health status, but benefit from a standardized
        metadata format.
      type: object
      allOf:
        - $ref: '#/components/schemas/resourceMetadata'
        - type: object
          required:
            - id
            - creationTime
          properties:
            id:
              description: The unique resource ID.
              type: string
            creationTime:
              description: The time the resource was created.
              type: string
              format: date-time
            createdBy:
              description: The user who created the resource.
              type: string
            modifiedTime:
              description: The time a resource was updated.
              type: string
              format: date-time
            modifiedBy:
              description: The user who updated the resource.
              type: string
    platformReleaseStatusV1:
      description: >-
        Product-specific observed platform release state. A release is
        selectable in a region when that region is present in availableRegionIds
        and deprecated and withdrawn are both false. usableOrganizationIds lists
        which of the caller's own organizations may select the release.
      type: object
      required:
        - kubernetesVersion
        - availableRegionIds
        - usableOrganizationIds
        - supportedArchitectures
        - prerelease
        - deprecated
        - withdrawn
        - addons
      properties:
        kubernetesVersion:
          description: Kubernetes version provided by the release.
          type: string
        availableRegionIds:
          description: Region IDs where this release is available.
          type: array
          items:
            type: string
        usableOrganizationIds:
          description: >-
            Organization IDs, among the caller's own organizations, that may
            select this platform release.
          type: array
          items:
            type: string
        supportedArchitectures:
          description: CPU architectures supported by the release compute images.
          type: array
          items:
            $ref: '#/components/schemas/platformReleaseArchitectureV1'
        prerelease:
          description: >-
            Whether the release Kubernetes version is a semver prerelease, such
            as v1.37.0-beta.0. Prerelease releases are selectable and are
            offered as upgrade targets.
          type: boolean
        deprecated:
          description: >-
            Whether existing clusters should upgrade away from this release.
            Deprecation is an explicit operator decision and may be reversed.
          type: boolean
        withdrawn:
          description: Whether operators have withdrawn the release from selection.
          type: boolean
        withdrawalReason:
          $ref: '#/components/schemas/platformReleaseWithdrawalReasonV1'
          description: Stable machine-readable reason operators withdrew the release.
        withdrawalMessage:
          description: Customer-safe explanation of why operators withdrew the release.
          type: string
          maxLength: 32768
        addons:
          $ref: '#/components/schemas/platformReleaseAddonsV1'
    resourceMetadata:
      description: Metadata required for all API resource reads and writes.
      required:
        - name
      properties:
        name:
          $ref: '#/components/schemas/kubernetesLabelValue'
        description:
          description: >-
            The resource description, this optionally augments the name with
            more context.
          type: string
        tags:
          $ref: '#/components/schemas/tagList'
    platformReleaseWithdrawalReasonV1:
      description: Stable machine-readable reason operators withdrew a platform release.
      type: string
      enum:
        - SecurityIssue
        - FunctionalRegression
        - CompatibilityIssue
        - ComplianceIssue
        - OperationalIssue
        - Other
    platformReleaseAddonsV1:
      description: Component versions grouped by platform release addon profile.
      type: object
      required:
        - core
        - hardware
      properties:
        core:
          $ref: '#/components/schemas/platformReleaseAddonProfileV1'
        hardware:
          $ref: '#/components/schemas/platformReleaseAddonProfileV1'
        nodeHealth:
          $ref: '#/components/schemas/platformReleaseAddonProfileV1'
    kubernetesLabelValue:
      description: >-
        A valid Kubernetes label value, typically used for resource names that
        can be

        indexed in the database.
      type: string
      pattern: ^[0-9A-Za-z](?:[0-9A-Za-z-_.]{0,61}[0-9A-Za-z])?$
    tagList:
      description: A list of tags.
      type: array
      items:
        $ref: '#/components/schemas/tag'
    platformReleaseAddonProfileV1:
      description: Component versions included in one platform release profile.
      type: object
      required:
        - components
      properties:
        components:
          description: Component versions installed by this profile.
          type: array
          items:
            $ref: '#/components/schemas/platformReleaseComponentV1'
    tag:
      description: >-
        A tag mapping arbitrary names to values.  These have no special meaning

        for any component are are intended for use by end users to add
        additional

        context to a resource, for example to categorize it.
      type: object
      required:
        - name
        - value
      properties:
        name:
          description: A unique tag name.
          type: string
        value:
          description: The value of the tag.
          type: string
    platformReleaseComponentV1:
      description: Component version included in a platform release profile.
      type: object
      required:
        - name
        - version
      properties:
        name:
          description: Component name.
          type: string
        version:
          description: Component version.
          type: string
  securitySchemes:
    oauth2Authentication:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /oauth2/v2/authorization
          tokenUrl: /oauth2/v2/token
          scopes: {}

````